<?
//------------------------------------------------------------------------------
// Nome da Funo: contaArquivos()
// Parametros da Funo: $dir -- Nome do diretrio
// Objetivos da Funo: Retornar o nmero de diretrios e arquivos
//                      dentro do diretrio especificado
//------------------------------------------------------------------------------
function contaArquivos($dir) {
	if(!is_dir($dir)) {
		echo "Erro: <b>$dir</b> no  um diretrio vlido.";
		exit;
	} else {
		$cont_dirs = 0;
		$cont_arqs = 0;
		if($gerenciador = @opendir($dir)) { 
			while(($ponteiro = readdir($gerenciador)) !== false) { 
				if ($ponteiro != "." && $ponteiro != "..") { 
					if(is_dir($dir."/".$ponteiro))
						$cont_dirs++;
					else if(is_file($dir."/".$ponteiro))
						$cont_arqs++;
				} 
			}
			closedir($gerenciador); 
			$dados = array($cont_dirs,$cont_arqs);
			return $dados;
		} else {
			echo "Erro: no foi possvel abrir <b>$dir</b>";
			exit;
		}
	}
}
//------------------------------------------------------------------------------
?>